Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 233582 - Add ability of adding Git's Push and Pull commands to the toolbar.
Add ability of adding Git's Push and Pull commands to the toolbar.
Status: VERIFIED FIXED
Product: versioncontrol
Classification: Unclassified
Component: Git
7.4
PC Windows 7
: P3 (vote)
: 7.4
Assigned To: Ondrej Vrabec
issues@versioncontrol
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-29 10:50 UTC by Trejder
Modified: 2013-08-01 15:13 UTC (History)
3 users (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Trejder 2013-07-29 10:50:30 UTC
Partially linked with #233577 (see comments to that bug for details).

Git's Push and Pull commands are used by most users nearly as often as Commit. Yet Push and Pull icons can't be now added to the toolbar and must be dig-out from four level menu each time: Team > Git > Remote > Push.

This seems to be very uncomfortable.

More details in comments to #233577 and in this Stack Overflow question:
http://stackoverflow.com/questions/16667618/missing-obvious-buttons-for-git-in-netbeans
Comment 1 Ondrej Vrabec 2013-07-29 10:55:15 UTC
In the meantime you can assign keyboard shortcuts to the actions and invoke them via keyboard.
Just to be sure, are you talking about Pull.../Push... or Pull/Push to/from Upstream? The latter actions allow you to push/pull simply without asking or opening the wizard.

honzo, we'll need some new icons...
Comment 2 Trejder 2013-07-29 11:03:19 UTC
I'm talking about Pull.../Push... (with opening dialog). But, it doesn't change the fact, that you can't add Pull/Push to/from Upstream to the toolbar as well (if I'm not mistaken).
Comment 3 Ondrej Vrabec 2013-07-29 11:06:45 UTC
i asked because we're trying to guess what action would be more useful in the toolbar And we do not want to create two sets of icons that would look almost the same.
Comment 4 Trejder 2013-07-29 11:32:16 UTC
I'm very beginner to Git, so I'm using "Push", not "Push to Upstream", simply because I didn't know, it is more useful.

In my humble opinion, if you come out with icons for "Push" and "Pull" you can get the very same icons for "Push to Upstream" and "Pull from Upstream" by adding up arrow to original image.

I don't know, why you don't want to create icons for all four commands? Letting me (or anyone else) to decide, which buttons will have icons (and this way will be able or won't be able to be added to toolbar) is wrong, because it limits end user. IMHO you should create all four icons.

If you really, really want to create only two icons, then logic suggests, that these should be for "upstream" versions of commands. Simple because, as you pointed out, these are dialog-less commands (if properly configured) so are (IMHO) a better candidates for toolbar, giving user a one-click solution. We may assume, that using push with displaying dialog is a rare situation and therefore can be called out from the menu.

But this is only in this case. Again, I strongly advice you to create four icons for all commands and not limit user.
Comment 5 Ondrej Vrabec 2013-07-30 15:17:47 UTC
after a discussion with the ui team, we all agreed this should be considered a minor defect

fix: http://hg.netbeans.org/core-main/rev/0af9c2eec3ed
Comment 6 Trejder 2013-07-31 06:58:45 UTC
Minor or not, most important is, that you've fixed this and that you fixed this so fast. Thank you very much. Which final release version should include this change? 7.5 or 7.4?
Comment 7 Ondrej Vrabec 2013-07-31 07:16:09 UTC
7.4
Comment 8 Quality Engineering 2013-08-01 02:32:45 UTC
Integrated into 'main-silver', will be available in build *201307312300* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/0af9c2eec3ed
User: Ondrej Vrabec <ovrabec@netbeans.org>
Log: #233582 - Add ability of adding Git's Push and Pull commands to the toolbar.
mercurial, git push/pull/fetch actions should have icons
Comment 9 markiewb 2013-08-01 15:13:02 UTC
FYI I updated http://wiki.netbeans.org/NetBeans_74_NewAndNoteworthy#Versioning to promote this tiny little feature 

Verified in 201307312300


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo